Skip to main content
POST
/
v1
/
projects
Create Project
curl --request POST \
  --url https://api.pathors.com/v1/projects \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'

Request

POST https://api.pathors.com/v1/projects

Headers

Authorization
string
required
Bearer token using your developer key

Body

name
string
required
Project name (1-64 characters)

Response

Returns the created project with status 201.

Example

curl -X POST https://api.pathors.com/v1/projects \
  -H "Authorization: Bearer dk_your_key" \
  -H "Content-Type: application/json" \
  -d '{ "name": "My New Agent" }'
{
  "data": {
    "id": "new-project-uuid",
    "name": "My New Agent",
    "createdAt": "2026-03-07T00:00:00.000Z",
    "updatedAt": "2026-03-07T00:00:00.000Z"
  }
}